# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KJS::FunctionPrototypeImp Class Reference

The initial value of Function.prototype (and thus all objects created with the Function constructor). More...

`#include <function_object.h>`

Inheritance diagram for KJS::FunctionPrototypeImp:

[legend]
Collaboration diagram for KJS::FunctionPrototypeImp:

[legend]
List of all members.

## Public Member Functions

| FunctionPrototypeImp (ExecState *exec)
virtual bool | implementsCall () const
virtual Value | call (ExecState *exec, Object &thisObj, const List &args)

## Detailed Description

The initial value of Function.prototype (and thus all objects created with the Function constructor).

Definition at line 35 of file function_object.h.

The documentation for this class was generated from the following files:

- function_object.h
- function_object.cpp

This file is part of the documentation for kjs Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:23:10 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003